
.. index::
   pair: List ; gitmoji
   ! Emoji

.. _gitmoji_l:

===================================================================================
gitmoji -l
===================================================================================


::

    gitmoji -l

::

    🎨 - :art: - Improving structure / format of the code.
    ⚡️ - :zap: - Improving performance.
    🔥 - :fire: - Removing code or files.
    🐛 - :bug: - Fixing a bug.
    🚑 - :ambulance: - Critical hotfix.
    ✨ - :sparkles: - Introducing new features.
    📝 - :memo: - Writing docs.
    🚀 - :rocket: - Deploying stuff.
    💄 - :lipstick: - Updating the UI and style files.
    🎉 - :tada: - Initial commit.
    ✅ - :white_check_mark: - Updating tests.
    🔒 - :lock: - Fixing security issues.
    🍎 - :apple: - Fixing something on macOS.
    🐧 - :penguin: - Fixing something on Linux.
    🏁 - :checkered_flag: - Fixing something on Windows.
    🤖 - :robot: - Fixing something on Android.
    🍏 - :green_apple: - Fixing something on iOS.
    🔖 - :bookmark: - Releasing / Version tags.
    🚨 - :rotating_light: - Removing linter warnings.
    🚧 - :construction: - Work in progress.
    💚 - :green_heart: - Fixing CI Build.
    ⬇️ - :arrow_down: - Downgrading dependencies.
    ⬆️ - :arrow_up: - Upgrading dependencies.
    📌 - :pushpin: - Pinning dependencies to specific versions.
    👷 - :construction_worker: - Adding CI build system.
    📈 - :chart_with_upwards_trend: - Adding analytics or tracking code.
    ♻️ - :recycle: - Refactoring code.
    🐳 - :whale: - Work about Docker.
    ➕ - :heavy_plus_sign: - Adding a dependency.
    ➖ - :heavy_minus_sign: - Removing a dependency.
    🔧 - :wrench: - Changing configuration files.
    🌐 - :globe_with_meridians: - Internationalization and localization.
    ✏️ - :pencil2: - Fixing typos.
    💩 - :hankey: - Writing bad code that needs to be improved.
    ⏪ - :rewind: - Reverting changes.
    🔀 - :twisted_rightwards_arrows: - Merging branches.
    📦 - :package: - Updating compiled files or packages.
    👽 - :alien: - Updating code due to external API changes.
    🚚 - :truck: - Moving or renaming files.
    📄 - :page_facing_up: - Adding or updating license.
    💥 - :boom: - Introducing breaking changes.
    🍱 - :bento: - Adding or updating assets.
    👌 - :ok_hand: - Updating code due to code review changes.
    ♿️ - :wheelchair: - Improving accessibility.
    💡 - :bulb: - Documenting source code.
    🍻 - :beers: - Writing code drunkenly.
    💬 - :speech_balloon: - Updating text and literals.
           🗃 - :card_file_box: - Performing database related changes.
    🔊 - :loud_sound: - Adding logs.
    🔇 - :mute: - Removing logs.
    👥 - :busts_in_silhouette: - Adding contributor(s).
    🚸 - :children_crossing: - Improving user experience / usability.
           🏗 - :building_construction: - Making architectural changes.
    📱 - :iphone: - Working on responsive design.
    🤡 - :clown_face: - Mocking things.
    🥚 - :egg: - Adding an easter egg.
    🙈 - :see_no_evil: - Adding or updating a .gitignore file
    📸 - :camera_flash: - Adding or updating snapshots
    ⚗ - :alembic: - Experimenting new things
    🔍 - :mag: - Improving SEO
    ☸️ - :wheel_of_dharma: - Work about Kubernetes
    🏷️ - :label: - Adding or updating types (Flow, TypeScript)
